@echo off
echo This command file must be run within an Integration Bus Command Console.

SET node=""
SET serv=""
SET /P node=Enter IIB Node name (default is RESTNODE): %=%
If %node%=="" set node="RESTNODE"

SET /P serv=Enter server name for %node% (default is default): %=%
If %serv%=="" set serv=default

REM ***** Recreate IB Node  ******
@echo off
echo Stopping IIB Node %node%
mqsistop %node%
echo Deleting IIB Node %node%
mqsideletebroker %node%
echo Creating IIB Node %node% 
mqsicreatebroker %node% -i LocalSystem

echo Starting node %node%
mqsistart %node%

echo Node %node% must be fully started to proceed to the next stage, creating a server. Please wait for the webadmin HTTP listener to start, then click Return to proceed. Use Ctrl-C to terminate.
PAUSE

echo on
call mqsicreateexecutiongroup %node% -e %serv%

echo on
mqsichangeproperties %node% -e %serv% -o ExecutionGroup -n httpNodesUseEmbeddedListener -v true

mqsichangeproperties %node% -e %serv% -o HTTPConnector -n corsEnabled -v true

REM ***** Specify JDBC connections for SAMPLE DB
call c:\student10\common\DBSetup\create_SAMPLE_MySecurityID.cmd %node%
call c:\student10\common\DBSetup\create_SAMPLE_JDBC_connections.cmd %node%

mqsichangeproperties %node% -b webadmin -o HTTPConnector -n port -v 4418


Echo Restart nodes to make WebUI changes effective .... 
echo Stopping IIB Node %node%
mqsistop %node%

echo Starting IIB Node %node%
mqsistart %node%


